> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Update Prospect: Funnel

PUT https://api.propexo.com/crm/v1/prospects/funnel/{prospect_id}
Content-Type: application/json

Update Prospect: Funnel

Reference: https://docs.propexo.com/api-reference/funnel/prospects/update-prospect-funnel

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Path parameters

- `prospect_id` (string, required) — The Propexo unique identifier for the prospect

### Body (application/json)

This endpoint expects a _crm_v1_prospects_funnel_{prospect_id}_put_input.

- `email_1` (string, required) — The primary email address associated with the prospect
- `phone_1` (string, optional) — Primary phone number associated with the prospect
- `phone_2` (string, optional) — Secondary phone number associated with the prospect
- `first_name` (string, optional) — The first name associated with the prospect
- `last_name` (string, optional) — The last name associated with the prospect
- `move_in_date` (CrmV1ProspectsFunnelProspectIdPutInputMoveInDate, optional) — The move-in date associated with the prospect
- `rent_minimum_in_cents` (integer, optional) — The minimum rent of the prospect
- `rent_maximum_in_cents` (integer, optional) — The maximum rent of the prospect
- `notes` (string, optional) — Notes associated with the prospect
- `pets` (list of enum, optional) — A list of pets related to the prospect
  - Allowed values: `SMALL_DOG`, `LARGE_DOG`, `CAT`

## Response

### 200

Successful response

- `meta` (CrmV1ProspectsFunnelProspectIdPutOutputMeta, required)
- `result` (CrmV1ProspectsFunnelProspectIdPutOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### CrmV1ProspectsFunnelProspectIdPutInputMoveInDate

The move-in date associated with the prospect

### CrmV1ProspectsFunnelProspectIdPutOutputMeta

- `job_id` (string, required)

### CrmV1ProspectsFunnelProspectIdPutOutputResult

- `prospect_id` (string, required) — The Propexo unique identifier for the prospect
- `email_1` (string, required) — The primary email address associated with the prospect
- `phone_1` (string, optional) — Primary phone number associated with the prospect
- `phone_2` (string, optional) — Secondary phone number associated with the prospect
- `first_name` (string, optional) — The first name associated with the prospect
- `last_name` (string, optional) — The last name associated with the prospect
- `move_in_date` (CrmV1ProspectsFunnelProspectIdPutOutputResultMoveInDate, optional) — The move-in date associated with the prospect
- `rent_minimum_in_cents` (integer, optional) — The minimum rent of the prospect
- `rent_maximum_in_cents` (integer, optional) — The maximum rent of the prospect
- `notes` (string, optional) — Notes associated with the prospect
- `pets` (list of enum, optional)
  - Allowed values: `SMALL_DOG`, `LARGE_DOG`, `CAT`

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### CrmV1ProspectsFunnelProspectIdPutOutputResultMoveInDate

The move-in date associated with the prospect

## Examples

**Request**

```json
{
  "email_1": "jane.doe@example.com"
}
```

**Response**

```json
{
  "meta": {
    "job_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  },
  "result": {
    "prospect_id": "prospect-12345",
    "email_1": "jane.doe@example.com",
    "phone_1": "+14155552671",
    "phone_2": "+14155552672",
    "first_name": "Jane",
    "last_name": "Doe",
    "move_in_date": "2024-01-15T09:30:00Z",
    "rent_minimum_in_cents": 120000,
    "rent_maximum_in_cents": 180000,
    "notes": "Interested in a 2-bedroom apartment near downtown. Prefers pet-friendly buildings.",
    "pets": [
      "SMALL_DOG"
    ]
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/crm/v1/prospects/funnel/prospect_id"

payload = { "email_1": "jane.doe@example.com" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/crm/v1/prospects/funnel/prospect_id';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"email_1":"jane.doe@example.com"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/crm/v1/prospects/funnel/prospect_id"

	payload := strings.NewReader("{\n  \"email_1\": \"jane.doe@example.com\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/crm/v1/prospects/funnel/prospect_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"email_1\": \"jane.doe@example.com\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.propexo.com/crm/v1/prospects/funnel/prospect_id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"email_1\": \"jane.doe@example.com\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.propexo.com/crm/v1/prospects/funnel/prospect_id', [
  'body' => '{
  "email_1": "jane.doe@example.com"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/crm/v1/prospects/funnel/prospect_id");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"email_1\": \"jane.doe@example.com\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["email_1": "jane.doe@example.com"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/crm/v1/prospects/funnel/prospect_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```